Package org.eclipse.microprofile.metrics.test.optional

## Class MetricAppBeanOptional

- java.lang.Object
- - org.eclipse.microprofile.metrics.test.optional.MetricAppBeanOptional

    @Path("/")
    @ApplicationScoped
    public class MetricAppBeanOptional
    extends Object

### Constructor Summary

Constructors
`MetricAppBeanOptional()`

### Method Summary

All Methods Instance Methods Concrete Methods
`String` `deleteNoParam()`
`void` `getAsync​(jakarta.ws.rs.container.AsyncResponse asyncResponse)`
`String` `getContextParams​(jakarta.ws.rs.core.HttpHeaders httpheaders, jakarta.ws.rs.core.Request request, jakarta.ws.rs.core.UriInfo uriInfo, jakarta.ws.rs.container.ResourceContext resourceContext, jakarta.ws.rs.ext.Providers providers, jakarta.ws.rs.core.Application application, jakarta.ws.rs.core.SecurityContext securityContext, jakarta.ws.rs.core.Configuration configuration)`
`String` `getListParam1​(List<String> v1)`
`String` `getListParam2​(List<Integer> v1)`
`String` `getListParam3​(List<Double> v1, List<Long> v2)`
`String` `getMappedArithException()`
`String` `getMultipleParam1​(boolean v1, int v2, double v3, String v4, long v5)`
`String` `getMultipleParam2​(String v1, List<String> v2)`
`String` `getMultipleParam4​(Set<String> v1, SortedSet<Integer> v2)`
`String` `getNameObject​(NameObject v1)`
`String` `getNoParam()`
`String` `getSingleBooleanParam​(boolean v1)`
`String` `getSingleDoubleParam​(double v1)`
`String` `getSingleIntParam​(int v1)`
`String` `getSingleLongParam​(long v1)`
`String` `getSingleStringParam​(String v1)`
`String` `getUnmappedArithException()`
`String` `headNoParam()`
`String` `optionsNoParam()`
`String` `postMappedArithException()`
`String` `postMultipleParam1​(boolean v1, int v2, double v3, String v4, long v5)`
`String` `postMultipleParam2​(String v1, List<String> v2)`
`String` `postMultipleParam4​(Set<String> v1, SortedSet<Integer> v2)`
`String` `postNoParam()`
`String` `postUnmappedArithException()`
`String` `putNoParam()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### MetricAppBeanOptional

    public MetricAppBeanOptional()

### Method Detail

#### getNoParam

    @GET
    @Path("/get-noparam")
    public String getNoParam()
                      throws Exception

Throws:
  `Exception`

#### optionsNoParam

    @OPTIONS
    @Path("/options-noparam")
    public String optionsNoParam()
                          throws Exception

Throws:
  `Exception`

#### headNoParam

    @HEAD
    @Path("/head-noparam")
    public String headNoParam()
                       throws Exception

Throws:
  `Exception`

#### putNoParam

    @PUT
    @Path("/put-noparam")
    public String putNoParam()
                      throws Exception

Throws:
  `Exception`

#### postNoParam

    @POST
    @Path("/post-noparam")
    public String postNoParam()
                       throws Exception

Throws:
  `Exception`

#### deleteNoParam

    @DELETE
    @Path("/delete-noparam")
    public String deleteNoParam()
                         throws Exception

Throws:
  `Exception`

#### getSingleStringParam

    @GET
    @Path("/get-single-string-param")
    public String getSingleStringParam​(@QueryParam("qp1")
                                       String v1)
                                throws Exception

Throws:
  `Exception`

#### getSingleIntParam

    @GET
    @Path("/get-single-int-param")
    public String getSingleIntParam​(@QueryParam("qp1")
                                    int v1)
                             throws Exception

Throws:
  `Exception`

#### getSingleDoubleParam

    @GET
    @Path("/get-single-double-param")
    public String getSingleDoubleParam​(@QueryParam("qp1")
                                       double v1)
                                throws Exception

Throws:
  `Exception`

#### getSingleLongParam

    @GET
    @Path("/get-single-long-param")
    public String getSingleLongParam​(@QueryParam("qp1")
                                     long v1)
                              throws Exception

Throws:
  `Exception`

#### getSingleBooleanParam

    @GET
    @Path("/get-single-boolean-param")
    public String getSingleBooleanParam​(@QueryParam("qp1")
                                        boolean v1)
                                 throws Exception

Throws:
  `Exception`

#### getContextParams

    @GET
    @Path("/get-context-params")
    public String getContextParams​(@Context
                                   jakarta.ws.rs.core.HttpHeaders httpheaders,
                                   @Context
                                   jakarta.ws.rs.core.Request request,
                                   @Context
                                   jakarta.ws.rs.core.UriInfo uriInfo,
                                   @Context
                                   jakarta.ws.rs.container.ResourceContext resourceContext,
                                   @Context
                                   jakarta.ws.rs.ext.Providers providers,
                                   @Context
                                   jakarta.ws.rs.core.Application application,
                                   @Context
                                   jakarta.ws.rs.core.SecurityContext securityContext,
                                   @Context
                                   jakarta.ws.rs.core.Configuration configuration)
                            throws Exception

Throws:
  `Exception`

#### getListParam1

    @GET
    @Path("/get-list-param1")
    public String getListParam1​(@QueryParam("qp1")
                                List<String> v1)
                         throws Exception

Throws:
  `Exception`

#### getListParam2

    @GET
    @Path("/get-list-param2")
    public String getListParam2​(@QueryParam("qp1")
                                List<Integer> v1)
                         throws Exception

Throws:
  `Exception`

#### getListParam3

    @GET
    @Path("/get-list-param3")
    public String getListParam3​(@QueryParam("qp1")
                                List<Double> v1,
                                @QueryParam("qp2")
                                List<Long> v2)
                         throws Exception

Throws:
  `Exception`

#### getMultipleParam1

    @GET
    @Path("/get-multiple-param1")
    public String getMultipleParam1​(@QueryParam("qp1")
                                    boolean v1,
                                    @QueryParam("qp2")
                                    int v2,
                                    @QueryParam("qp3")
                                    double v3,
                                    @QueryParam("qp4")
                                    String v4,
                                    @QueryParam("qp5")
                                    long v5)
                             throws Exception

Throws:
  `Exception`

#### getMultipleParam2

    @GET
    @Path("/get-multiple-param2")
    public String getMultipleParam2​(@QueryParam("qp1")
                                    String v1,
                                    @QueryParam("qp2")
                                    List<String> v2)
                             throws Exception

Throws:
  `Exception`

#### getMultipleParam4

    @GET
    @Path("/get-multiple-param4")
    public String getMultipleParam4​(@QueryParam("qp1")
                                    Set<String> v1,
                                    @QueryParam("qp2")
                                    SortedSet<Integer> v2)
                             throws Exception

Throws:
  `Exception`

#### getNameObject

    @GET
    @Path("/get-name-object")
    public String getNameObject​(@QueryParam("qp1")
                                NameObject v1)
                         throws Exception

Throws:
  `Exception`

#### getAsync

    @GET
    @Path("/get-async")
    public void getAsync​(@Suspended
                         jakarta.ws.rs.container.AsyncResponse asyncResponse)
                  throws Exception

Throws:
  `Exception`

#### postMultipleParam1

    @POST
    @Path("/post-multiple-param1")
    public String postMultipleParam1​(@QueryParam("qp1")
                                     boolean v1,
                                     @QueryParam("qp2")
                                     int v2,
                                     @QueryParam("qp3")
                                     double v3,
                                     @QueryParam("qp4")
                                     String v4,
                                     @QueryParam("qp5")
                                     long v5)
                              throws Exception

Throws:
  `Exception`

#### postMultipleParam2

    @POST
    @Path("/post-multiple-param2")
    public String postMultipleParam2​(@QueryParam("qp1")
                                     String v1,
                                     @QueryParam("qp2")
                                     List<String> v2)
                              throws Exception

Throws:
  `Exception`

#### postMultipleParam4

    @POST
    @Path("/post-multiple-param4")
    public String postMultipleParam4​(@QueryParam("qp1")
                                     Set<String> v1,
                                     @QueryParam("qp2")
                                     SortedSet<Integer> v2)
                              throws Exception

Throws:
  `Exception`

#### getMappedArithException

    @GET
    @Path("/get-mapped-arithmetic-exception")
    public String getMappedArithException()
                                   throws Exception

Throws:
  `Exception`

#### postMappedArithException

    @POST
    @Path("/post-mapped-arithmetic-exception")
    public String postMappedArithException()
                                    throws Exception

Throws:
  `Exception`

#### getUnmappedArithException

    @GET
    @Path("/get-unmapped-exception")
    public String getUnmappedArithException()
                                     throws Exception

Throws:
  `Exception`

#### postUnmappedArithException

    @POST
    @Path("/post-unmapped-exception")
    public String postUnmappedArithException()
                                      throws Exception

Throws:
  `Exception`